Bug 1027283 - [Usability] it is possible to start editing enabled datasource
[Usability] it is possible to start editing enabled datasource
Status: ASSIGNED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: EAP 6.4.0
Assigned To: Harald Pehl
Pavel Jelinek
Usability
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 08:23 EST by Jakub Cechacek
Modified: 2017-10-09 20:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-09 07:38:04 EDT
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-494 Major Open It is possible to start editing enabled datasource 2016-07-19 17:30 EDT

  None (edit)
Description Jakub Cechacek 2013-11-06 08:23:31 EST
User can start editing enabled datasource. However datasource has to be disabled in order to save the configuration successfully. Consequently user is not able to save the configuration. For is switched back to view mode and all entered data is lost.

User should be either prevented to enter edit mode or there should be an option to disable the datasource on configuration save.
Comment 1 Heiko Braun 2014-07-09 07:38:04 EDT
In agreement with Catherine we've decided that UX issues will be tracked separately.
Comment 2 Jakub Cechacek 2014-07-21 02:21:31 EDT
Issue moved under the UX component. 

Also moved to 6.4 as this issue is still valid for 6.3. Use ack flags to decide whether we want to go through with it or not.
Comment 3 Liz 2014-08-13 17:55:25 EDT
If the "Edit" button was disabled, would the user be able to make the connection that they need to disable the Datasource to be able to edit the configuration? If not, then it might be best to avoid using that solution. 

Another possibility:
A dialog could be presented when the user hits the "Edit" button, which would inform them and provide actions, for example:
-------------------------------------------------
“To edit the configuration, the datasource must be disabled. Disable the datasource?” 
[Cancel] [Confirm] 

 - If the select "Confirm", the datasource is disabled and then they can proceed with editing as expected. 
 - If they select "Cancel", then they return to the screen and perhaps then the Edit button is disabled. 
-------------------------------------------------
(*Note: actual wording is TBD...)

Note You need to log in before you can comment on or make changes to this bug.